当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 求助:关于系统和软件安装方面
帖子发表于 : 2011-05-12 11:59 

注册: 2011-05-05 16:38
帖子: 48
送出感谢: 0 次
接收感谢: 0 次
各位大侠:
我是新手菜鸟,没使用过几次ubuntu,因为做实验分析数据(数据量比较大)要使用一些只能在linux下运行的软件,所以必须得学ubuntu,以后在学ubuntu方面遇到的问题就集中在这发帖,还请各路大侠帮忙解答。
电脑硬件方面:台式机,3G 的内存,i5的处理器,1T的硬盘。
从店里弄回来的时候,店主给电脑先是装的64位的ubuntu10.10(全是输入命令的那些,没有图形界面),用了100G装ubuntu10.10,然后再在ubuntu10.10的基础上装上了32位的WinXP,我查看WinXP的硬盘,分区时这样的C盘:150G,F盘:300G,G盘:300G。这些是电脑刚弄回来时的情形。

《一》目前的情况是:电脑一弄回来,因为我不会使用命令符界面的ubuntu10.10,所以我就自己在网上搜索了一些命令来自己安装图形界面:比如下面这些之类的,但是还有一些已经记不清了。
sudo apt-get install kubuntu-desktop

sudo apt-get install language-pack-kde-zh language-pack-kde-zh-base language-pack-zh language-pack-zh-base language-support-zh

之后也有图形的桌面了,再然后再弄了些什么不记得了(好像升级了些什么东西),之后就出现下面的情况:
Firefox不能上网了,启动不了Firefox,而且再进入桌面的时候提示:
could not update ICE authority file /home/bhli/.ICEauthrity

面对上面这些问题的时候我该怎么处理呢?
我想就是把它恢复到最开始新电脑弄回来时的情形,就如Windows下的一键还原那种,然后再重新装上桌面,这该怎么办呢?

《二》由于到这一步已经不能用ubuntu10.10了,也不能解决所以就没再用这个系统,于是我就在WinXP的C盘上装了一个桌面版的32位的ubuntu10.10。
准备安装一个数据分析的软件 birdsuite,安装步骤链接:http://www.broadinstitute.org/science/programs/medical-and-population-genetics/birdsuite/birdsuite-install

安装这个birdsuite之前呢需要安装JAVA,我的步骤是:先下载了jdk-6u25-linux-i586.bin
把它放在主文件夹里的一个文件名为JAVA的文件夹里,然后输入命令:
1>sudo sh jdk-6u25-linux-i586.bin
2>sudo gedit /etc/environment
3>sudo gedit /etc/profile
第2,3 步就把网上相应的粘贴进去保存。
然后输入java -version查询的时候,提示出错,具体错误等进入那个系统的时候再粘贴上来。

请各位多多指教,能解决多少解决多少,先谢过了。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 求助:关于系统和软件安装方面
帖子发表于 : 2011-05-12 12:56 
头像

注册: 2010-06-16 1:05
帖子: 14668
地址: Tencent
系统: Mac OS X
送出感谢: 1
接收感谢: 153
新手就别直接用server版的ubuntu,把destop版搞成server版,比把server版搞成destop版难多了。


_________________
twitter求fo:http://twitter.com/maplebeats
博客求踩:http://maplebeats.com


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 求助:关于系统和软件安装方面
帖子发表于 : 2011-05-12 13:29 

注册: 2011-05-05 16:38
帖子: 48
送出感谢: 0 次
接收感谢: 0 次
多谢楼上的回复,那我现在就是想把原来预装的64位的server版的重新安装成desktop版的该怎么进行呢?
需要盘吗?
也就是我想在不弄乱winXP的基础上重新安装一个desktop版的64位的ubuntu10.10,行不?


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 求助:关于系统和软件安装方面
帖子发表于 : 2011-05-12 13:42 

注册: 2011-05-05 16:38
帖子: 48
送出感谢: 0 次
接收感谢: 0 次
《二》由于到这一步已经不能用ubuntu10.10了,也不能解决所以就没再用这个系统,于是我就在WinXP的C盘上装了一个桌面版的32位的ubuntu10.10。
准备安装一个数据分析的软件 birdsuite,安装步骤链接:http://www.broadinstitute.org/science/programs/medical- and-population-genetics/birdsuite/birdsuite-install

安装这个birdsuite之前呢需要安装JAVA,我的步骤是:先下载了jdk-6u25-linux-i586.bin
把它放在主文件夹里的一个文件名为JAVA的文件夹里,然后输入命令:
1>sudo sh jdk-6u25-linux-i586.bin

2>sudo gedit /etc/environment

export JAVA_HOME=/home/administrator/Java/jdk1.6.0_25
export JRE_Home=/home/administrator/Java/jdk1.6.0_25/jre 
export CLASSPATH=$CLASSPATH:$JAVA_HOME/lib:$JAVA_HOME/jre/lib 

3>sudo gedit /etc/profile

export JAVA_HOME=/home/administrator/Java/jdk1.6.0_25 
export JRE_HOME=/home/administrator/Java/jdk1.6.0_25/jre 
export CLASSPATH=$CLASSPATH:$JAVA_HOME/lib:$JAVA_HOME/jre/lib 
export PATH=$JAVA_HOME/bin:$JAVA_HOME/jre/bin:$PATH:$HOME/bin

然后输入java -version查询的时候,提示出错,具体错误为:
@ubuntu:~$ java -version
程序“java”已包含在下列软件包中:
* gcj-4.4-jre-headless
* gcj-4.5-jre-headless
* openjdk-6-jre-headless
请尝试:sudo apt-get install <选定的软件包>

哪位知道是出了什么问题么?


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 求助:关于系统和软件安装方面
帖子发表于 : 2011-05-12 13:46 

注册: 2011-05-05 16:38
帖子: 48
送出感谢: 0 次
接收感谢: 0 次
再请高手解决下这个问题:输入命令:R CMD INSTALL -l EXEDIR EXEDIR/broadgap.utils_1.0.tar.gz 时为什么会提示下面的错误。

bhli@ubuntu:~$ R CMD INSTALL -l EXEDIR EXEDIR/broadgap.utils_1.0.tar.gz

* installing *source* package ‘broadgap.utils’ ...
** R
** preparing package for lazy loading
** help
警告: ./man/broad.utils-package.Rd:11: unexpected TEXT ' ', expecting '{'
警告: ./man/broad.utils-package.Rd:23: 意外的'}'
警告: ./man/broad.utils-package.Rd:12: All text must be in a section
警告: ./man/broad.utils-package.Rd:13: All text must be in a section
警告: ./man/broad.utils-package.Rd:13: All text must be in a section
警告: ./man/broad.utils-package.Rd:14: All text must be in a section
警告: ./man/broad.utils-package.Rd:14: All text must be in a section
警告: ./man/broad.utils-package.Rd:15: All text must be in a section
警告: ./man/broad.utils-package.Rd:15: All text must be in a section
警告: ./man/broad.utils-package.Rd:16: All text must be in a section
警告: ./man/broad.utils-package.Rd:16: All text must be in a section
警告: ./man/broad.utils-package.Rd:17: All text must be in a section
警告: ./man/broad.utils-package.Rd:17: All text must be in a section
警告: ./man/broad.utils-package.Rd:19: All text must be in a section
警告: ./man/broad.utils-package.Rd:20: All text must be in a section
警告: ./man/broad.utils-package.Rd:21: All text must be in a section
警告: ./man/broad.utils-package.Rd:22: All text must be in a section
警告: newline within quoted string at commandLineArg.Rd:29
Error in parse_Rd("./man/commandLineArg.Rd", encoding = "unknown", ...) :
Unexpected end of input (in " quoted string opened at commandLineArg.Rd:35:31)
ERROR: installing Rd objects failed for package ‘broadgap.utils’
* removing ‘/home/bhli/EXEDIR/broadgap.utils’


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 求助:关于系统和软件安装方面
帖子发表于 : 2011-05-12 13:51 

注册: 2011-05-05 16:38
帖子: 48
送出感谢: 0 次
接收感谢: 0 次
《二》由于到这一步已经不能用ubuntu10.10了,也不能解决所以就没再用这个系统,于是我就在WinXP的C盘上装了一个桌面版的32位的ubuntu10.10。
准备安装一个数据分析的软件 birdsuite,安装步骤链接:http://www.broadinstitute.org/science/programs/medical- and-population-genetics/birdsuite/birdsuite-install

安装这个birdsuite之前呢需要安装JAVA,我的步骤是:先下载了jdk-6u25-linux-i586.bin
把它放在主文件夹里的一个文件名为JAVA的文件夹里,然后输入命令:
1>sudo sh jdk-6u25-linux-i586.bin
2>sudo gedit /etc/environment

export JAVA_HOME=/home/administrator/Java/jdk1.6.0_25 
export JRE_Home=/home/administrator/Java/jdk1.6.0_25/jre 
export CLASSPATH=$CLASSPATH:$JAVA_HOME/lib:$JAVA_HOME/jre/lib 

3>sudo gedit /etc/profile

export JAVA_HOME=/home/administrator/Java/jdk1.6.0_25 
export JRE_HOME=/home/administrator/Java/jdk1.6.0_25/jre 
export CLASSPATH=$CLASSPATH:$JAVA_HOME/lib:$JAVA_HOME/jre/lib 
export PATH=$JAVA_HOME/bin:$JAVA_HOME/jre/bin:$PATH:$HOME/bin

然后输入java -version查询的时候,提示出错,具体错误为:
XXX@ubuntu:~$ java -version
程序“java”已包含在下列软件包中:
* gcj-4.4-jre-headless
* gcj-4.5-jre-headless
* openjdk-6-jre-headless
请尝试:sudo apt-get install <选定的软件包>

这是提示出现了什么错误呢?该怎么解决呢?


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 求助:关于系统和软件安装方面
帖子发表于 : 2011-05-12 13:55 
头像

注册: 2008-10-24 22:02
帖子: 5853
地址: 浙江
送出感谢: 0 次
接收感谢: 3
引用:
之后也有图形的桌面了,再然后再弄了些什么不记得了(好像升级了些什么东西),之后就出现下面的情况:
Firefox不能上网了,启动不了Firefox,而且再进入桌面的时候提示:
could not update ICE authority file /home/bhli/.ICEauthrity

面对上面这些问题的时候我该怎么处理呢?
我想就是把它恢复到最开始新电脑弄回来时的情形,就如Windows下的一键还原那种,然后再重新装上桌面,这该怎么办呢?


这个建议下安装desktop版本了 可以和其他版本共存 也可以覆盖安装

+++++++++++++++++++++++++
java的 没配置过
可以参看wiki
http://wiki.ubuntu.org.cn/Sun-java6

+++++++++++++++++++++++++
引用:
那我现在就是想把原来预装的64位的server版的重新安装成desktop版的该怎么进行呢?
需要盘吗?

怎么安装啊 这个论坛里很多方法了 你多搜索一下
不需要光盘也可以
U盘安装 硬盘安装 都行
引用:
也就是我想在不弄乱winXP的基础上重新安装一个desktop版的64位的ubuntu10.10,行不?

可以

引用:
请尝试:sudo apt-get install <选定的软件包>

哪位知道是出了什么问题么?

缺少软件包
可以在新力得中安装java
或者手动补上需要的包


_________________
http://sb.google.com/ 提问前 请在右上角搜索一下
请不要跨省追捕!水表在门外。谢谢! 大家一起twitter


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译